;
; banking.asm
;
; settings for memory:
; ^^^^^^^^^^^^^^^^^^^^
; common area: 0c000h
; banks count: 2      (at least)

org 0c000h

ld hl, 0     ; initialize HL

ld a, 11     ; get selected bank
out (0feh),a
in a,(0feh)  ; a will contain bank number
             ; should be 0

ld (hl), 5    ; into cell 0, bank a
             ; move value 5

ld a, 12
out (0feh),a ; set selected bank 
ld a, 1      ; bank number
out (0feh),a ; send parameter

ld a, (hl)    ; a <- value(cell 0, bank 1)
             ; should be 0

ld a, 12
out (0feh),a ; set selected bank 
ld a, 0      ; bank number
out (0feh),a ; send parameter

ld a, (hl)    ; a <- value(cell 0, bank 0)
             ; should be 5

halt

